Name:           tivolibre
Version:        0.7.2
Release:        1%{?dist}
Summary:        Java app and library for decoding TiVo files to standard MPEG files

License:        GPLv3+ and BSD
# src/net/straylightlabs/quickturing/QuickTuring.java is BSD with the following restriction:
#   5.  The Turing family of encryption algorithms are covered by patents in
#   the United States of America and other countries. A free and
#   irrevocable license is hereby granted for the use of such patents to
#   the extent required to utilize the Turing family of encryption
#   algorithms for any purpose, subject to the condition that any
#   commercial product utilising any of the Turing family of encryption
#   algorithms should show the words "Encryption by QUALCOMM" either on the
#   product or in the associated documentation.

URL:            https://github.com/fflewddur/tivolibre
Source0:        https://github.com/fflewddur/tivolibre/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  maven-local
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  logback
BuildRequires:  slf4j
# For tests
BuildRequires:  junit
Requires:       apache-commons-cli
Requires:       apache-commons-codec
Requires:       logback
Requires:       slf4j

%description
Java app and library for decoding TiVo files to standard MPEG files.

%prep
%setup -q
find -name \*.jar -delete
sed -i -e 's/java -jar tivo-libre.jar/tivolibre/' README.md src/net/straylightlabs/tivolibre/DecoderApp.java

%build
cd src
CLASSPATH=$(build-classpath commons-cli commons-codec logback-classic logback-core slf4j-api) javac $(find -name \*.java)
jar cf ../jar/%{name}.jar $(find -name \*.class) META-INF

%install
mkdir -p %{buildroot}%{_javadir}
%mvn_artifact net.straylightlabs.tivolibre:tivolibre:%{version} jar/%{name}.jar
%mvn_install

%jpackage_script net.straylightlabs.tivolibre.DecoderApp "" "" commons-cli:commons-codec:logback-classic:logback-core:slf4j-api:tivolibre tivolibre true


#check
# This doesn't work - I don't really know how to run the tests, and we may need test files anyway
#cd test
#export CLASSPATH=$(build-classpath slf4j-api junit):../jar/%{name}.jar:net/straylightlabs/tivolibre
#javac $(find -name \*.java)
#java org.junit.runner.JUnitCore net/straylightlabs/tivolibre/TestSuite.class

%files -f .mfiles
%license LICENSE LICENSE-TivoDecode
%doc README.md
%{_bindir}/tivolibre


%changelog
* Thu Dec 3 2015 Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Initial build
